Loading...
Searching...
No Matches
common_tuple.hpp File Reference

Provides seqan3::common_tuple. More...

`#include <seqan3/contrib/std/tuple.hpp>`
`#include <seqan3/core/platform.hpp>`
`#include <seqan3/utility/tuple/common_pair.hpp>`
Include dependency graph for common_tuple.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Typedefs

template<typename... t>
using | seqan3::common_tuple = seqan::stl::tuple<t...>
| A std::tuple implementation that incorporates most changes from C++23's standard library.

## Detailed Description

Provides seqan3::common_tuple.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>

Hide me